Subject: Remove "#serial" lines from Automake-provided *.m4 files

From: Stefano Lattarini <[email-masked]>
Date: Fri, 13 Jul 2012 15:19:25 +0200

Severity: minor

The "# serial" lines are only considered by aclocal for the system-wide
third-party '.m4' files, not for the Automake-provided ones (and even in
that case, they are considered only when the '--install' aclocal option
is used).  So they serve no real purpose in the Automake '.m4' files.

In addition, now that we use git and topic branches, and that we are
also writing the Automake-NG fork, the "# serial" lines are becoming
more and more unreliable (different version of the same file in
different branches can easily end up having the same serial numbers).

So I propose we just nuke the "#serial" lines.

Any objection?  If not, I will proceed in a couple of days, in all
of the 'maint', 'master' and 'ng/master' branches.

Regards,
  Stefano